All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::KernelFunctor< Ts > Class Template Reference

`#include <cl2.hpp>`

## Public Types

typedef Event | result_type
| Return type of the functor. More...

## Public Member Functions

| KernelFunctor (Kernel kernel)
| KernelFunctor (const Program &program, const string name, cl_int *err=NULL)
Event | operator() (const EnqueueArgs &args, Ts...ts)
Event | operator() (const EnqueueArgs &args, Ts...ts, cl_int &error)
cl_int | setSVMPointers (const vector< void * > &pointerList)
template<typename T0 , typename... T1s>
cl_int | setSVMPointers (const T0 &t0, T1s...ts)
Kernel | getKernel ()

## Detailed Description

### template<typename... Ts>
class cl::KernelFunctor< Ts >

Type safe kernel functor.

## Member Typedef Documentation

template<typename... Ts>

typedef Event cl::KernelFunctor< Ts >::result_type

Return type of the functor.

## Constructor & Destructor Documentation

template<typename... Ts>

cl::KernelFunctor< Ts >::KernelFunctor | ( | Kernel | kernel | ) |

inline

template<typename... Ts>

cl::KernelFunctor< Ts >::KernelFunctor | ( | const Program & | program,
|  | const string | name,
|  | cl_int * | err = `NULL`
| ) |  |

inline

## Member Function Documentation

template<typename... Ts>

Kernel cl::KernelFunctor< Ts >::getKernel | ( |  | ) |

inline

template<typename... Ts>

Event cl::KernelFunctor< Ts >::operator() | ( | const EnqueueArgs & | args,
|  | Ts... | ts
| ) |  |

inline

Enqueue kernel.

Parameters

  args | Launch parameters of the kernel.
  t0... | List of kernel arguments based on the template type of the functor.

template<typename... Ts>

Event cl::KernelFunctor< Ts >::operator() | ( | const EnqueueArgs & | args,
|  | Ts... | ts,
|  | cl_int & | error
| ) |  |

inline

Enqueue kernel with support for error code.

Parameters

  args | Launch parameters of the kernel.
  t0... | List of kernel arguments based on the template type of the functor.
  error | Out parameter returning the error code from the execution.

template<typename... Ts>

cl_int cl::KernelFunctor< Ts >::setSVMPointers | ( | const vector< void * > & | pointerList | ) |

inline

template<typename... Ts>
template<typename T0 , typename... T1s>

cl_int cl::KernelFunctor< Ts >::setSVMPointers | ( | const T0 & | t0,
|  | T1s... | ts
| ) |  |

inline

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp